@import "./font-awesome";
@import "./w3.scss";
@import "./theme.scss";

.content {
  @extend .w3-content;
  @extend .an-theme-d2;

  a {
    @extend .an-theme-link;
    text-decoration: none;
  }
}

.nav-bar {
  @extend .w3-cell;
  @extend .w3-mobile;

  width: 10%;
  background-color: gray;
}

.card {
  @extend .w3-card;
  @extend .w3-padding;
  @extend .w3-margin-bottom;
  @extend .an-theme-d3;
}

.list-ratings {
  @extend .w3-cell-row;
  @extend .w3-mobile;

  width: 100%;
}
.list-rating-container {
  @extend .w3-display-container;
  @extend .card;
  @extend .an-theme-d3;

  header {
    @extend .w3-padding;

    span {
      @extend .w3-display-topright;
      @extend .w3-padding;
    }

    table {
      @extend .w3-table;
      @extend .an-theme-d4;
    }
  }

  div {
    @extend .w3-container;
  }
}

//////////////////
// Distro Info
//////////////////
.di {
  @extend .card;
  @extend .w3-row-padding;
}
.di-image {
  @extend .w3-col;
  @extend .w3-mobile;
  margin: 20px 0px 20px 0px;
  width: 40%;
  height: 35%;

  img {
    width: 100%;
    height: auto;
  }
}
.di-description {
  @extend .w3-col;
  @extend .w3-mobile;
  width: 60%;
}

//////////////////
// Rating Form
//////////////////
.rf {
  @extend .card;

  form {
    @extend .w3-container;
  }
}

//////////////////
// User Rating
//////////////////
.ur {
  @extend .card;
  width: 100%;
}
.ur-bar {
  height: 14px; background-color: #ffdd44;
}
.ur-bar-container {
  @extend .an-theme-d2;
  width: 100%;
  text-align: center;
}
.ur-heading {
  font-size: 25px;
  margin-right: 25px;
}
.ur-middle {
  float: left;
  width: 70%;
  margin-top: 10px;
}
.ur-right {
  text-align: right;
}
.ur-row:after {
  content: "";
  display: table;
  clear: both;
}
.ur-side {
  float: left;
  width: 15%;
  margin-top: 10px;
}

/* Responsive layout - make the columns stack on top of each other instead of next to each other */
@media (max-width: 400px) {
  .ur-side, .ur-middle {
    width: 100%;
  }
  /* Hide the right column on small screens */
  .ur-right {
    display: none;
  }
}

//////////////////
// Stars
//////////////////
i.star-full {
  @extend .fas;
  @extend .fa-star;
  @extend .an-theme-star-full;
  font-size: 20px;
  padding: 0 7.5px 0 0;
}
i.star-half {
  @extend .fas;
  @extend .fa-star-half-alt;
  @extend .an-theme-star-full;
  font-size: 20px;
  padding: 0 7.5px 0 0;
}
i.star-empty {
  @extend .far;
  @extend .fa-star;
  @extend .an-theme-star-empty;
  font-size: 20px;
  padding: 0 7.5px 0 0;
}

div.stars{
  width: 260px;
  display: inline-block;
}

input.star{
  display: none;
}
input.clear-star{
  display: none;
}

label.star {
  float: right;
  padding: 10px;
  font-size: 20px;
  color: #a2a2a2;
  transition: all .2s;
}

label.clear-star {
  float: right;
  padding: 10px;
  font-size: 20px;
  color: #bb3333;
  transition: all .2s;
}

input.star:checked ~ label.star:before {
  content:'\f005';
  font-family: 'Font Awesome\ 5 Free';
  font-weight: 900;
  color: #FD4;
  transition: all .25s;
}

input.star-5:checked ~ label.star:before {
  color:#FE7;
  text-shadow: 0 0 20px #952;
}

input.star-1:checked ~ label.star:before {
  color: #FD4;
}

input.clear-star:checked ~ label.clear-star:before {
  content:'\f057';
  font-family: 'Font Awesome\ 5 Free';
  color: #a2a2a2;
}

label.star:hover, label.clear-star:hover{
  transform: rotate(-15deg) scale(1.3);
}

label.star:before{
  content:'\f005';
  font-family: 'Font Awesome\ 5 Free';
}

label.clear-star:before{
  content:'\f057';
  font-family: 'Font Awesome\ 5 Free';
}

input.star:checked ~ .rev-box{
  height: 75px;
  overflow: visible;
}

//////////////////
// Tabs
//////////////////

.tabs{
  position: relative;
}

.tabs .tab{
  float: left;
  display: block;
}

.tabs .tab>input[type="radio"] {
  position: absolute;
  top: -9999px;
  left: -9999px;
}

.tabs .tab>label {
  @extend .an-theme-d3;
  @extend .w3-card-4;

  display: inline-block;
  padding: 6px 15px;
  font-size: 12px;
  text-transform: uppercase;
  cursor: pointer;
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
}

.tabs .content {
  z-index: 0;/* or display: none; */
  overflow: hidden;
  position: absolute;
  left: 0;

  opacity:0;
  transition: opacity 400ms ease-out;
}

.tabs>.tab>[id^="tab"]:checked + label {
  @extend .an-theme-o1;
  top: 0;
}

.tabs>.tab>[id^="tab"]:checked ~ [id^="tab-content"] {
  z-index: 1;/* or display: block; */

  opacity: 1;
  transition: opacity 400ms ease-out;
}

//////////////////
// Dropdown
//////////////////

select.dropdown {
  @extend .w3-select;
  @extend .w3-border;
  @extend .w3-round;
  @extend .an-theme-o1;

  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;

  max-width: 240px;
  background: url(/static/images/down-chevron.png) 100% / 15% no-repeat;
  padding-left: 5px;
}

.grecaptcha-badge {
  z-index: 10;
}